# Contributing to Binario

Looking to contribute something to **Binario** theme? Bug reports and code patches are welcome.

Please take a moment to review this document in order to make the contribution process easy and effective for everyone involved.

## Issues

The [issue tracker](https://github.com/vimux/binario/issues) is the preferred channel for bug reports and features requests, but please respect the following restrictions:

* Please **do not** combine a few problems or features in one issue. Create separate issues if needed.
* Please **do not** create issue that contains title only. Write useful title and description.
* Please **do not** post comments consisting solely of "+1" or emoji. Use [GitHub's "reactions" feature](https://github.com/blog/2119-add-reactions-to-pull-requests-issues-and-comments) instead. The project maintainer reserve the right to delete such comments.
* Please specify the exact steps to reproduce bug.

## Pull requests (PR)

**Please ask first** before embarking on any significant pull request (e.g. implementing features or refactoring code), otherwise you risk spending a lot of time working on something that the project maintainer might not want to merge into the project.

**IMPORTANT: By submitting a patch, you agree to allow the project owner to license your work under the terms of the [MIT License](LICENSE).**

Please respect coding guidelines used throughout the project (indentation, accurate comments, etc.) and our PR acceptance criteria.

### PR acceptance criteria

* Please keep the change in a single PR as small as possible.
* 1 PR = 1 FIX or FEATURE (do not combine things, send separate PR if needed)
* Does not break any existing functionality
* Your changes can merge without problems
* Provide a reasonable PR title and description
  * If the PR changes the UI it should include before-and-after screenshots or a link to a video
* Be prepared to answer questions and make changes in your code

**IMPORTANT: No guarantees can be made that your pull request will be accepted.**

## License

By contributing your code, you agree to license your contribution under the [MIT License](LICENSE).
